Subject: Re: console popping up unnecessarily in xterm (cygwin 1.3.3)
From: Kazuhiro Fujieda <[email-masked]>
To: [email-masked] (Danny Dulai)
Cc: [email-masked]
Date: 05 Oct 2001 23:21:20 +0900

>>> On 29 Sep 2001 01:57:13 -0000
>>> [email-masked] (Danny Dulai) said:

> I'm trying to track down the change in cygwin 1.3.3 that caused consoles to
> pop-up necessarily in xterm. background to this problem is in the thread
> with a subject of "strange behavior regarding new cygwin 1.3.3 and cmd.exe"
> 
> 
> I was looking briefly at the change log, and noticed these two changes:
> 
> 2001-08-24  Kazuhiro Fujieda  <[email-masked]>
> 
> 2001-07-25  Kazuhiro Fujieda  <[email-masked]>

You're right. These patches of mine are related to your problem.
The first change caused the same problem on rxvt, so I made one
more change and managed to solve it.

The same logic should also solve it on xterm. I guess another
bug disturbs it. As you may know, Cygwin DLL 1.3.3 has a bug
related to the inheritance of file descriptors in fork. It is
fixed in the recent development snapshots.

Could you try the latest development snapshot? If it also causes
the problem, I'll try to think another logic to solve it.
____
  | AIST      Kazuhiro Fujieda <[email-masked]>
  | HOKURIKU  Center for Information Science
o_/ 1990      Japan Advanced Institute of Science and Technology

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/